- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Action::Erase Class Reference

Erase the entire exif data or only the thumbnail section. More...

`#include <actions.hpp>`

Inheritance diagram for Action::Erase:

[legend]
Collaboration diagram for Action::Erase:

[legend]
List of all members.

## Public Types
typedef std::auto_ptr< Erase > | AutoPtr
| Shortcut for an auto pointer.
## Public Member Functions
virtual int | run (const std::string &path)
| Application interface to perform a task.
AutoPtr | clone () const
| Virtual copy construction.
int | eraseThumbnail (Exiv2::Image *image) const
| Delete the thumbnail image, incl IFD1 metadata from the file.
int | eraseExifData (Exiv2::Image *image) const
| Erase the complete Exif data block from the file.
int | eraseIptcData (Exiv2::Image *image) const
| Erase all Iptc data from the file.
int | eraseComment (Exiv2::Image *image) const
| Erase Jpeg comment from the file.

## Detailed Description

Erase the entire exif data or only the thumbnail section.

## Member Function Documentation

int Action::Erase::run | ( | const std::string & | path | ) | `[virtual]`

  | Application interface to perform a task. Parameters:
  | path | Path of the file to process.
Returns: 0 if successful. Implements Action::Task.

The documentation for this class was generated from the following files:

- actions.hpp
- actions.cpp